=== modified file 'bzrlib/tests/blackbox/test_info.py'
--- bzrlib/tests/blackbox/test_info.py	2006-05-17 07:09:13 +0000
+++ bzrlib/tests/blackbox/test_info.py	2006-06-13 19:12:10 +0000
@@ -18,10 +18,9 @@
 
 """Tests for the info command of bzr."""
 
+import sys
 
 import bzrlib
-
-
 from bzrlib.osutils import format_date
 from bzrlib.tests import TestSkipped
 from bzrlib.tests.blackbox import ExternalBase
@@ -30,9 +29,13 @@
 class TestInfo(ExternalBase):
 
     def test_info_non_existing(self):
-        out, err = self.runbzr('info /i/do/not/exist/', retcode=3)
+        if sys.platform == "win32":
+            location = "C:/i/do/not/exist/"
+        else:
+            location = "/i/do/not/exist/"
+        out, err = self.runbzr('info '+location, retcode=3)
         self.assertEqual(out, '')
-        self.assertEqual(err, 'bzr: ERROR: Not a branch: /i/do/not/exist/\n')
+        self.assertEqual(err, 'bzr: ERROR: Not a branch: %s\n' % location)
 
     def test_info_standalone(self):
         transport = self.get_transport()
@@ -1505,6 +1508,9 @@
         lco_tree.branch.unlock()
 
     def test_info_locking_oslocks(self):
+        if sys.platform == "win32":
+            raise TestSkipped("don't use oslocks on win32 in unix manner")
+
         tree = self.make_branch_and_tree('branch',
                                          format=bzrlib.bzrdir.BzrDirFormat6())
 

